# $Revision: 1.17 $, $Date: 2009/06/15 07:46:43 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	NaiveBayes
Summary:	Algorithm::NaiveBayes - Bayesian prediction of categories
Summary(pl.UTF-8):	Algorithm::NaiveBayes - bayesowskie przewidywanie kategorii
Name:		perl-Algorithm-NaiveBayes
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd461c9ea2f140a75d5364cc98c2ef09
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the classic "Naive Bayes" machine learning
algorithm. It is a well-studied probabilistic algorithm often used in
automatic text categorization. Compared to other algorithms (kNN, SVM,
Decision Trees), it's pretty fast and reasonably competitive in the
quality of its results.

%description -l pl.UTF-8
Ten moduł jest implementacją klasycznego "naiwnego bayesowskiego"
algorytmu uczenia maszyny. Jest to dobrze przestudiowany algorytm
probabilistyczny często używany przy automatycznej kategoryzacji
tekstu. W porównaniu do innych algorytmów (kNN, SVM, drzewa decyzyjne)
jest dość szybki i w miarę konkurencyjny jeśli chodzi o jakość
wyników.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/Algorithm/*.pm
%{perl_vendorlib}/Algorithm/NaiveBayes
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-NaiveBayes.spec,v $
Revision 1.17  2009/06/15 07:46:43  amateja
- updated to 0.04

Revision 1.16  2008/07/27 22:25:59  arekm
- release 2

Revision 1.15  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 19:36:54  paladine
- formatting

Revision 1.12  2004/06/01 20:45:12  qboosh
- readable/grepable file list

Revision 1.11  2004/06/01 19:33:25  adamg
- updated to 0.03

Revision 1.10  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.9  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.8  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.7  2004/03/09 19:55:29  adamg
- new style bconds

Revision 1.6  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.5  2003/07/24 17:53:10  adamg
- updated to 0.02

Revision 1.4  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/13 22:09:21  qboosh
- pl description, should be ready for perl 5.8

Revision 1.1  2003/04/12 21:48:38  ankry
- new, for ra
